Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.converter
Class MatchTuples

    java.lang.Object
      com.sun.mdm.index.matching.converter.MatchTuples

public class MatchTuples
extends java.lang.Object

Contains the tuples representing all the configured match fields of a SystemObject/SBR (i.e. a de-normalized 'flattened' object tree represented as an array of arrays). Additionaly it contains easily accessible meta-data describing the tuples, i.e. the matchType a column was configured as.

Constructor Summary
`MatchTuples()` Creates new MatchTuples
`MatchTuples(java.lang.String[] columnMatchTypes, java.lang.String[] columnQualifiedNames, EPath[] columnEPaths, MatchColumn[] matchColumns, java.lang.String[][] tuples)` Creates new MatchTuples

Method Summary
`EPath[]` | `columnEPaths()` The parsed ePaths of all the columns The position of the ePath in the returned array corresponds to the postion of the column in the tuples, i.e.
`java.lang.String[]` | `getColumnMatchTypes()` The match types of all the columns The position of the matchType in the returned array corresponds to the postion of the column in the tuples, i.e.
`java.lang.String[]` | `getColumnQualifiedNames()` The fully qualified names of all the columns The position of the qualified name in the returned array corresponds to the position of the column in the tuples, i.e.
`MatchColumn[]` | `getMatchColumns()` The match column configuration of all the columns The position of the match column in the returned array corresponds to the postion of the column in the tuples, i.e.
`java.lang.String[][]` | `getTuples()` The match tuples data, dimension 1 is the rows, dimension 2 is the columns: tuples[row][column] The array of arrays returned is 'rectangular', i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchTuples

    public MatchTuples()

  Creates new MatchTuples

### MatchTuples

    public MatchTuples(java.lang.String[] columnMatchTypes,
                       java.lang.String[] columnQualifiedNames,
                       EPath[] columnEPaths,
                       MatchColumn[] matchColumns,
                       java.lang.String[][] tuples)

  Creates new MatchTuples

  Parameters:
    `columnMatchTypes` - match type of each column
    `columnQualifiedNames` - qualified name of each column
    `columnEPaths` - ePath for each each column
    `matchColumns` - match column definition of each column
    `tuples` - all the tuples dimension one is the 'row', dimension 2 is the 'column'

Method Detail

### columnEPaths

    public EPath[] columnEPaths()

  The parsed ePaths of all the columns The position of the ePath in the returned array corresponds to the postion of the column in the tuples, i.e. ePaths[0] describes tuples[row][0]

  Returns:
    the parsed ePaths of all the columns

### getColumnMatchTypes

    public java.lang.String[] getColumnMatchTypes()

  The match types of all the columns The position of the matchType in the returned array corresponds to the postion of the column in the tuples, i.e. columnTypes[0] describes tuples[row][0]

  Returns:
    The match types of all the columns

### getColumnQualifiedNames

    public java.lang.String[] getColumnQualifiedNames()

  The fully qualified names of all the columns The position of the qualified name in the returned array corresponds to the position of the column in the tuples, i.e. qualifiedNames[0] describes tuples[row][0]

  Returns:
    the fully qualified names of all the columns

### getMatchColumns

    public MatchColumn[] getMatchColumns()

  The match column configuration of all the columns The position of the match column in the returned array corresponds to the postion of the column in the tuples, i.e. matchColumns[0] describes tuples[row][0]

  Returns:
    the match column configuration of all the columns

### getTuples

    public java.lang.String[][] getTuples()

  The match tuples data, dimension 1 is the rows, dimension 2 is the columns: tuples[row][column] The array of arrays returned is 'rectangular', i.e. all contained arrays have the same number of elements.

  Returns:
    the match tuples data

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.